Update Appointment: EliseAI
PUT
https://api.propexo.com/crm/v1/appointments/eliseai/:appointment_idMarks an appointment outcome in EliseAI (e.g. no-show or completed tour).
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
appointment_id stringrequired
The Propexo unique identifier for the event
Request
This endpoint expects an object.
statusstringrequired
The status associated with the event
Show 2 enum values
NO_SHOWCOMPLETEoutcome_timestring<date-time>
The time the appointment outcome occurred. This time should be specified in UTC. Defaults to the current UTC timestamp if omitted.
unit_idsstring[]
Optional array of Propexo unit IDs shown during the tour.
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
appointment_idstringrequired
The Propexo unique identifier for the event
statusstringrequired
The status associated with the event
Show 2 enum values
NO_SHOWCOMPLETEoutcome_timestring<date-time>
The time the appointment outcome occurred. This time should be specified in UTC. Defaults to the current UTC timestamp if omitted.
unit_idsstring[]
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /crm/v1/appointments/eliseai/:appointment_id
curl -X PUT https://api.propexo.com/crm/v1/appointments/eliseai/:appointment_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"status": "NO_SHOW"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"appointment_id": "string",
"status": "NO_SHOW",
"outcome_time": "2024-07-29T15:51:28.071Z",
"unit_ids": [
"string"
]
}
}